/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomWebKitTransitionEvent_H___INT_
#define __GdomWebKitTransitionEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomEvent.h"
#include "GDOMObject.h"
#include "WebKitTransitionEvent.h"
G_BEGIN_DECLS
class GDOMWebKitTransitionEvent : public GDOMEvent {
    typedef GDOMEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_WEB_KIT_TRANSITION_EVENT; }
    GDOMWebKitTransitionEvent(PassRefPtr<WebCore::WebKitTransitionEvent> impl);
};
G_END_DECLS

#endif /* __GdomWebKitTransitionEvent_H___INT_*/
